[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceFile.Delete

Delete a resource from the file

## Declaration

Source position: objects.pp line 518

`procedure TResourceFile.Delete(`
`Key: string`
`);`

## Description

Delete deletes the resource identified by Key from the collection. It sets the Modified flag to true.

## Errors

None.

## See also

TResourceFile.Flush |  | Writes the resources to the stream.